MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Types | Public Member Functions
MyGUI::delegates::CMethodDelegate0< T > Class Template Reference

`#include <MyGUI_Delegate.h>`

Inheritance diagram for MyGUI::delegates::CMethodDelegate0< T >:
[legend]

## Public Types
typedef void(T::* | Method) ()

## Public Member Functions
| CMethodDelegate0 (IDelegateUnlink *_unlink, T *_object, Method _method)
virtual bool | isType (const std::type_info &_type)
virtual void | invoke ()
virtual bool | compare (IDelegate0 *_delegate) const
virtual bool | compare (IDelegateUnlink *_unlink) const
Public Member Functions inherited from MyGUI::delegates::IDelegate0
virtual | ~IDelegate0 ()

## Detailed Description

### template<typename T>
class MyGUI::delegates::CMethodDelegate0< T >

Definition at line 76 of file MyGUI_Delegate.h.

## Member Typedef Documentation

template<typename T >

typedef void(T::* MyGUI::delegates::CMethodDelegate0< T >::Method) ()

Definition at line 79 of file MyGUI_Delegate.h.

## Constructor & Destructor Documentation

template<typename T >

MyGUI::delegates::CMethodDelegate0< T >::CMethodDelegate0 | ( | IDelegateUnlink * | _unlink,
|  | T * | _object,
|  | Method | _method
| ) |  |
| inline

Definition at line 81 of file MyGUI_Delegate.h.

## Member Function Documentation

template<typename T >

virtual bool MyGUI::delegates::CMethodDelegate0< T >::compare | ( | IDelegate0 * | _delegate | ) | const
| inline virtual

Implements MyGUI::delegates::IDelegate0.

Definition at line 93 of file MyGUI_Delegate.h.

template<typename T >

virtual bool MyGUI::delegates::CMethodDelegate0< T >::compare | ( | IDelegateUnlink * | _unlink | ) | const
| inline virtual

Reimplemented from MyGUI::delegates::IDelegate0.

Definition at line 100 of file MyGUI_Delegate.h.

template<typename T >

virtual void MyGUI::delegates::CMethodDelegate0< T >::invoke | ( |  | ) |
| inline virtual

Implements MyGUI::delegates::IDelegate0.

Definition at line 88 of file MyGUI_Delegate.h.

template<typename T >

virtual bool MyGUI::delegates::CMethodDelegate0< T >::isType | ( | const std::type_info & | _type | ) |
| inline virtual

Implements MyGUI::delegates::IDelegate0.

Definition at line 83 of file MyGUI_Delegate.h.

The documentation for this class was generated from the following file:

- MyGUI_Delegate.h